Skip to main content
POST
https://{tenantDomain}/api/v2
/
log-streams
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.LogStreams.Create(
        context.TODO(),
        &management.CreateLogStreamRequestContent{
            CreateLogStreamHttpRequestBody: &management.CreateLogStreamHttpRequestBody{
                Sink: &management.LogStreamHttpSink{
                    HttpEndpoint: "httpEndpoint",
                },
            },
        },
    )
}
{
  "id": "<string>",
  "name": "<string>",
  "status": "active",
  "type": "http",
  "isPriority": true,
  "filters": [
    {
      "type": "category",
      "name": "auth.login.fail"
    }
  ],
  "pii_config": {
    "log_fields": [
      "first_name"
    ],
    "method": "mask",
    "algorithm": "xxhash"
  },
  "sink": {
    "httpEndpoint": "<string>",
    "httpAuthorization": "<string>",
    "httpContentFormat": "JSONARRAY",
    "httpContentType": "<string>",
    "httpCustomHeaders": [
      {
        "header": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

type
enum<string>
required
Available options:
http
sink
object
required
name
string

log stream name

isPriority
boolean

True for priority log streams, false for non-priority

filters
object[]

Only logs events matching these filters will be delivered by the stream. If omitted or empty, all events will be delivered.

pii_config
object
startFrom
string
default:2021-03-01T19:57:29.532Z

The optional datetime (ISO 8601) to start streaming logs from

Response

Log stream created

id
string<log-stream-id>

The id of the log stream

name
string

log stream name

status
enum<string>

The status of the log stream. Possible values: active, paused, suspended

Available options:
active,
paused,
suspended
type
enum<string>
Available options:
http
isPriority
boolean

True for priority log streams, false for non-priority

filters
object[]

Only logs events matching these filters will be delivered by the stream. If omitted or empty, all events will be delivered.

pii_config
object
sink
object